# Uses of Interface
org.eclipse.equinox.p2.repository.artifact.IArtifactRepository

Packages that use IArtifactRepository
Package
Description
org.eclipse.equinox.p2.engine
Provides support for interacting with the p2 provisioning engine
org.eclipse.equinox.p2.repository.artifact
Defines artifact repository.
org.eclipse.equinox.p2.repository.artifact.spi
Defines SPI for registering new implementations of artifact repositories.
org.eclipse.equinox.p2.ui
Provides provisioning user interface classes that can be used for assembling a provisioning UI.

## Uses of IArtifactRepository in org.eclipse.equinox.p2.engine

Methods in org.eclipse.equinox.p2.engine that return types with arguments of type IArtifactRepository
Modifier and Type
Method
Description
`IQueryable<IArtifactRepository>`
ProvisioningContext.`getArtifactRepositories(IProgressMonitor monitor)`
Returns a queryable that can be used to obtain any artifact repositories that are needed for the provisioning operation.

## Uses of IArtifactRepository in org.eclipse.equinox.p2.repository.artifact

Subinterfaces of IArtifactRepository in org.eclipse.equinox.p2.repository.artifact
Modifier and Type
Interface
Description
`interface`
`IFileArtifactRepository`
An artifact repository whose artifacts are available in the local file system.
Methods in org.eclipse.equinox.p2.repository.artifact that return IArtifactRepository
Modifier and Type
Method
Description
`IArtifactRepository`
IArtifactRepositoryManager.`createRepository(URI location, String name, String type, Map<String,String> properties)`
Creates and returns a new empty artifact repository of the given type at the given location.
`IArtifactRepository`
IArtifactDescriptor.`getRepository()`
Return the artifact repository that holds the artifact described by this descriptor.
`IArtifactRepository`
IArtifactRepositoryManager.`loadRepository(URI location, int flags, IProgressMonitor monitor)`
Loads the repository at the given location.
`IArtifactRepository`
IArtifactRepositoryManager.`loadRepository(URI location, IProgressMonitor monitor)`
Loads the repository at the given location.
`IArtifactRepository`
IArtifactRepositoryManager.`refreshRepository(URI location, IProgressMonitor monitor)`
Refreshes the repository corresponding to the given URL.
Methods in org.eclipse.equinox.p2.repository.artifact with parameters of type IArtifactRepository
Modifier and Type
Method
Description
`IArtifactRequest`
IArtifactRepositoryManager.`createMirrorRequest(IArtifactKey key, IArtifactRepository destination, Map<String,String> destinationDescriptorProperties, Map<String,String> destinationRepositoryProperties)`
Return a new request to mirror the given artifact into the destination repository.
`IArtifactRequest`
IArtifactRepositoryManager.`createMirrorRequest(IArtifactKey key, IArtifactRepository destination, Map<String,String> destinationDescriptorProperties, Map<String,String> destinationRepositoryProperties, String downloadStatsParameters)`
Return a new request to mirror the given artifact into the destination repository.
`void`
IArtifactRequest.`perform(IArtifactRepository sourceRepository, IProgressMonitor monitor)`
Performs the artifact request, and sets the result status.

## Uses of IArtifactRepository in org.eclipse.equinox.p2.repository.artifact.spi

Classes in org.eclipse.equinox.p2.repository.artifact.spi that implement IArtifactRepository
Modifier and Type
Class
Description
`class`
`AbstractArtifactRepository`
The common base class for all artifact repository implementations.
Methods in org.eclipse.equinox.p2.repository.artifact.spi that return IArtifactRepository
Modifier and Type
Method
Description
`abstract IArtifactRepository`
ArtifactRepositoryFactory.`create(URI location, String name, String type, Map<String,String> properties)`
Creates and returns a new empty artifact repository of the given type at the given location.
`IArtifactRepository`
ArtifactDescriptor.`getRepository()`
`abstract IArtifactRepository`
ArtifactRepositoryFactory.`load(URI location, int flags, IProgressMonitor monitor)`
Loads and returns the repository of this factory's type at the given location.
Methods in org.eclipse.equinox.p2.repository.artifact.spi with parameters of type IArtifactRepository
Modifier and Type
Method
Description
`void`
ArtifactDescriptor.`setRepository(IArtifactRepository value)`

## Uses of IArtifactRepository in org.eclipse.equinox.p2.ui

Methods in org.eclipse.equinox.p2.ui that return IArtifactRepository
Modifier and Type
Method
Description
`IArtifactRepository`
ProvisioningUI.`loadArtifactRepository(URI location, boolean update, IProgressMonitor monitor)`
Load the specified artifact repository, signaling a repository operation start event before loading, and a repository operation complete event after loading.